#ifndef BACK_BASE_H
#define BACK_BASE_H

int ln_baseN(int n, int b);

int pw(int x, int n);

int abs(int n);

int min(int a, int b);

int max(int a, int b);

double absf(double n);

int convex_seg(int x1, int x2, double theta);

bool is_an_integer(char c);

double to_double(int n);

int to_int(double n);

double distance_pt(int x1, int x2, int y1, int y2);

int line_count(char* filename);

int str_to_int(char* s);

int get_integer(FILE* ptr);

int get_integer_plus_align(FILE* ptr, FILE* ptr2);

int count_char_in_line(FILE* ptr, char c);

void terminate_line(FILE* ptr);

bool str_equal(char* s1, char* s2);

void linked_add(linkedList* lst, int x, int y, char* flag);

void linked_removeCoord(linkedList* lst, int x, int y);

void linked_removeFlag(linkedList* lst, char* flag);

void linked_change(linkedList* lst, int x, int y, char* flag);

bool linked_mem(linkedList* lst, int x, int y, char** flag);

linkedList* linked_copy(linkedList* src);

void linkedPrint(linkedList* lst);

void import_digits(SDL_Renderer* renderer);

void import_letters(SDL_Renderer* renderer);

void free_digits(imgs dgts);

#endif